<?xml version="1.0" encoding="utf-8"?>
<xs:schema id="frequencyDBDataSet" targetNamespace="http://tempuri.org/frequencyDBDataSet.xsd" xmlns:mstns="http://tempuri.org/frequencyDBDataSet.xsd" xmlns="http://tempuri.org/frequencyDBDataSet.xsd" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:msdata="urn:schemas-microsoft-com:xml-msdata" xmlns:msprop="urn:schemas-microsoft-com:xml-msprop" attributeFormDefault="qualified" elementFormDefault="qualified">
  <xs:annotation>
    <xs:appinfo source="urn:schemas-microsoft-com:xml-msdatasource">
      <DataSource DefaultConnectionIndex="0" FunctionsComponentName="QueriesTableAdapter" Modifier="AutoLayout, AnsiClass, Class, Public" SchemaSerializationMode="IncludeSchema" xmlns="urn:schemas-microsoft-com:xml-msdatasource">
        <Connections>
          <Connection AppSettingsObjectName="Settings" AppSettingsPropertyName="frequencyDBConnectionString" ConnectionStringObject="" IsAppSettingsProperty="true" Modifier="Assembly" Name="frequencyDBConnectionString (Settings)" PropertyReference="ApplicationSettings.SDRSharp.Properties.Settings.GlobalReference.Default.frequencyDBConnectionString" Provider="System.Data.OleDb" />
        </Connections>
        <Tables>
          <TableAdapter BaseClass="System.ComponentModel.Component" DataAccessorModifier="AutoLayout, AnsiClass, Class, Public" DataAccessorName="FrequenciesTableAdapter" GeneratorDataComponentClassName="FrequenciesTableAdapter" Name="Frequencies" UserDataComponentName="FrequenciesTableAdapter">
            <MainSource>
              <DbSource ConnectionRef="frequencyDBConnectionString (Settings)" DbObjectName="Frequencies" DbObjectType="Table" FillMethodModifier="Public" FillMethodName="Fill" GenerateMethods="Both" GenerateShortCommands="true" GeneratorGetMethodName="GetData" GeneratorSourceName="Fill" GetMethodModifier="Public" GetMethodName="GetData" QueryType="Rowset" ScalarCallRetval="System.Object, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" UseOptimisticConcurrency="true" UserGetMethodName="GetData" UserSourceName="Fill">
                <DeleteCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="true">
                    <CommandText>DELETE FROM Frequencies
WHERE        (TuneFrequency = ?)</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="false" AutogeneratedName="Param1" ColumnName="TuneFrequency" DataSourceName="Frequencies" DataTypeServer="DbType.VarNumeric" DbType="Decimal" Direction="Input" ParameterName="TuneFrequency" Precision="18" ProviderType="Numeric" Scale="0" Size="0" SourceColumn="TuneFrequency" SourceColumnNullMapping="false" SourceVersion="Original" />
                    </Parameters>
                  </DbCommand>
                </DeleteCommand>
                <InsertCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="true">
                    <CommandText>INSERT INTO Frequencies
                         (TuneFrequency, LOFrequency, ShiftFrequency, Description, Mode, FilterBandwidth)
VALUES        (?, ?, ?, ?, ?, ?)</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="false" AutogeneratedName="Param1" ColumnName="TuneFrequency" DataSourceName="Frequencies" DataTypeServer="DbType.VarNumeric" DbType="Decimal" Direction="Input" ParameterName="TuneFrequency" Precision="18" ProviderType="Numeric" Scale="0" Size="0" SourceColumn="TuneFrequency" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="Param2" ColumnName="LOFrequency" DataSourceName="Frequencies" DataTypeServer="DbType.VarNumeric" DbType="Decimal" Direction="Input" ParameterName="LOFrequency" Precision="18" ProviderType="Numeric" Scale="0" Size="0" SourceColumn="LOFrequency" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="Param3" ColumnName="ShiftFrequency" DataSourceName="Frequencies" DataTypeServer="DbType.VarNumeric" DbType="Decimal" Direction="Input" ParameterName="ShiftFrequency" Precision="18" ProviderType="Numeric" Scale="0" Size="0" SourceColumn="ShiftFrequency" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="Param4" ColumnName="Description" DataSourceName="Frequencies" DataTypeServer="DbType.StringFixedLength(255)" DbType="String" Direction="Input" ParameterName="Description" Precision="0" ProviderType="WChar" Scale="0" Size="255" SourceColumn="Description" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="Param5" ColumnName="Mode" DataSourceName="Frequencies" DataTypeServer="DbType.StringFixedLength(25)" DbType="String" Direction="Input" ParameterName="Mode" Precision="0" ProviderType="WChar" Scale="0" Size="25" SourceColumn="Mode" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="Param6" ColumnName="FilterBandwidth" DataSourceName="Frequencies" DataTypeServer="DbType.VarNumeric" DbType="Decimal" Direction="Input" ParameterName="FilterBandwidth" Precision="18" ProviderType="Numeric" Scale="0" Size="0" SourceColumn="FilterBandwidth" SourceColumnNullMapping="false" SourceVersion="Current" />
                    </Parameters>
                  </DbCommand>
                </InsertCommand>
                <SelectCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="true">
                    <CommandText>SELECT        TuneFrequency, LOFrequency, ShiftFrequency, Description, Mode, FilterBandwidth
FROM            Frequencies
ORDER BY TuneFrequency</CommandText>
                    <Parameters />
                  </DbCommand>
                </SelectCommand>
                <UpdateCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="true">
                    <CommandText>UPDATE       Frequencies
SET                Description = ?, Mode = ?, FilterBandwidth = ?
WHERE        (TuneFrequency = ?)</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="false" AutogeneratedName="Param1" ColumnName="Description" DataSourceName="Frequencies" DataTypeServer="DbType.StringFixedLength(255)" DbType="String" Direction="Input" ParameterName="Description" Precision="0" ProviderType="WChar" Scale="0" Size="255" SourceColumn="Description" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="Param2" ColumnName="Mode" DataSourceName="Frequencies" DataTypeServer="DbType.StringFixedLength(25)" DbType="String" Direction="Input" ParameterName="Mode" Precision="0" ProviderType="WChar" Scale="0" Size="25" SourceColumn="Mode" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="Param3" ColumnName="FilterBandwidth" DataSourceName="Frequencies" DataTypeServer="DbType.VarNumeric" DbType="Decimal" Direction="Input" ParameterName="FilterBandwidth" Precision="18" ProviderType="Numeric" Scale="0" Size="0" SourceColumn="FilterBandwidth" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="Param4" ColumnName="TuneFrequency" DataSourceName="Frequencies" DataTypeServer="DbType.VarNumeric" DbType="Decimal" Direction="Input" ParameterName="Original_TuneFrequency" Precision="18" ProviderType="Numeric" Scale="0" Size="0" SourceColumn="TuneFrequency" SourceColumnNullMapping="false" SourceVersion="Original" />
                    </Parameters>
                  </DbCommand>
                </UpdateCommand>
              </DbSource>
            </MainSource>
            <Mappings>
              <Mapping SourceColumn="TuneFrequency" DataSetColumn="TuneFrequency" />
              <Mapping SourceColumn="LOFrequency" DataSetColumn="LOFrequency" />
              <Mapping SourceColumn="ShiftFrequency" DataSetColumn="ShiftFrequency" />
              <Mapping SourceColumn="Description" DataSetColumn="Description" />
              <Mapping SourceColumn="Mode" DataSetColumn="Mode" />
              <Mapping SourceColumn="FilterBandwidth" DataSetColumn="FilterBandwidth" />
            </Mappings>
            <Sources>
              <DbSource ConnectionRef="frequencyDBConnectionString (Settings)" DbObjectType="Unknown" GenerateShortCommands="true" GeneratorSourceName="CountQuery" Modifier="Public" Name="CountQuery" QueryType="Scalar" ScalarCallRetval="System.Int32, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" UseOptimisticConcurrency="true" UserGetMethodName="GetDataBy3" UserSourceName="CountQuery">
                <SelectCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="true">
                    <CommandText>SELECT COUNT(*) FROM Frequencies</CommandText>
                    <Parameters />
                  </DbCommand>
                </SelectCommand>
              </DbSource>
              <DbSource ConnectionRef="frequencyDBConnectionString (Settings)" DbObjectName="" DbObjectType="Unknown" GenerateShortCommands="true" GeneratorSourceName="DeleteQuery" Modifier="Public" Name="DeleteQuery" QueryType="NoData" ScalarCallRetval="System.Object, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" UseOptimisticConcurrency="true" UserGetMethodName="GetDataBy" UserSourceName="DeleteQuery">
                <DeleteCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="true">
                    <CommandText>DELETE FROM Frequencies
WHERE        (TuneFrequency = ?)</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="false" AutogeneratedName="Param1" ColumnName="TuneFrequency" DataSourceName="Frequencies" DataTypeServer="DbType.VarNumeric" DbType="Decimal" Direction="Input" ParameterName="TuneFrequency" Precision="18" ProviderType="Numeric" Scale="0" Size="0" SourceColumn="TuneFrequency" SourceColumnNullMapping="false" SourceVersion="Original" />
                    </Parameters>
                  </DbCommand>
                </DeleteCommand>
              </DbSource>
              <DbSource ConnectionRef="frequencyDBConnectionString (Settings)" DbObjectName="" DbObjectType="Unknown" GenerateShortCommands="true" GeneratorSourceName="InsertQuery" Modifier="Public" Name="InsertQuery" QueryType="NoData" ScalarCallRetval="System.Object, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" UseOptimisticConcurrency="true" UserGetMethodName="GetDataBy1" UserSourceName="InsertQuery">
                <InsertCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="true">
                    <CommandText>INSERT INTO `Frequencies` (`TuneFrequency`, `LOFrequency`, `ShiftFrequency`, `Description`, `Mode`, `FilterBandwidth`) VALUES (?, ?, ?, ?, ?, ?)</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="false" AutogeneratedName="Param1" ColumnName="TuneFrequency" DataSourceName="Frequencies" DataTypeServer="DbType.VarNumeric" DbType="Decimal" Direction="Input" ParameterName="TuneFrequency" Precision="18" ProviderType="Numeric" Scale="0" Size="0" SourceColumn="TuneFrequency" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="Param2" ColumnName="LOFrequency" DataSourceName="Frequencies" DataTypeServer="DbType.VarNumeric" DbType="Decimal" Direction="Input" ParameterName="LOFrequency" Precision="18" ProviderType="Numeric" Scale="0" Size="0" SourceColumn="LOFrequency" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="Param3" ColumnName="ShiftFrequency" DataSourceName="Frequencies" DataTypeServer="DbType.VarNumeric" DbType="Decimal" Direction="Input" ParameterName="ShiftFrequency" Precision="18" ProviderType="Numeric" Scale="0" Size="0" SourceColumn="ShiftFrequency" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="Param4" ColumnName="Description" DataSourceName="Frequencies" DataTypeServer="DbType.StringFixedLength(255)" DbType="String" Direction="Input" ParameterName="Description" Precision="0" ProviderType="WChar" Scale="0" Size="255" SourceColumn="Description" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="Param5" ColumnName="Mode" DataSourceName="Frequencies" DataTypeServer="DbType.StringFixedLength(25)" DbType="String" Direction="Input" ParameterName="Mode" Precision="0" ProviderType="WChar" Scale="0" Size="25" SourceColumn="Mode" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="Param6" ColumnName="FilterBandwidth" DataSourceName="Frequencies" DataTypeServer="DbType.VarNumeric" DbType="Decimal" Direction="Input" ParameterName="FilterBandwidth" Precision="18" ProviderType="Numeric" Scale="0" Size="0" SourceColumn="FilterBandwidth" SourceColumnNullMapping="false" SourceVersion="Current" />
                    </Parameters>
                  </DbCommand>
                </InsertCommand>
              </DbSource>
              <DbSource ConnectionRef="frequencyDBConnectionString (Settings)" DbObjectName="" DbObjectType="Unknown" GenerateShortCommands="true" GeneratorSourceName="UpdateQuery" Modifier="Public" Name="UpdateQuery" QueryType="NoData" ScalarCallRetval="System.Object, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" UseOptimisticConcurrency="true" UserGetMethodName="GetDataBy2" UserSourceName="UpdateQuery">
                <UpdateCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="true">
                    <CommandText>UPDATE       Frequencies
SET                Description = ?, Mode = ?, FilterBandwidth = ?
WHERE        (TuneFrequency = ?)</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="false" AutogeneratedName="Param1" ColumnName="Description" DataSourceName="Frequencies" DataTypeServer="DbType.StringFixedLength(255)" DbType="String" Direction="Input" ParameterName="Description" Precision="0" ProviderType="WChar" Scale="0" Size="255" SourceColumn="Description" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="Param2" ColumnName="Mode" DataSourceName="Frequencies" DataTypeServer="DbType.StringFixedLength(25)" DbType="String" Direction="Input" ParameterName="Mode" Precision="0" ProviderType="WChar" Scale="0" Size="25" SourceColumn="Mode" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="Param3" ColumnName="FilterBandwidth" DataSourceName="Frequencies" DataTypeServer="DbType.VarNumeric" DbType="Decimal" Direction="Input" ParameterName="FilterBandwidth" Precision="18" ProviderType="Numeric" Scale="0" Size="0" SourceColumn="FilterBandwidth" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="Param4" ColumnName="TuneFrequency" DataSourceName="Frequencies" DataTypeServer="DbType.VarNumeric" DbType="Decimal" Direction="Input" ParameterName="Original_TuneFrequency" Precision="18" ProviderType="Numeric" Scale="0" Size="0" SourceColumn="TuneFrequency" SourceColumnNullMapping="false" SourceVersion="Original" />
                    </Parameters>
                  </DbCommand>
                </UpdateCommand>
              </DbSource>
            </Sources>
          </TableAdapter>
        </Tables>
        <Sources />
      </DataSource>
    </xs:appinfo>
  </xs:annotation>
  <xs:element name="frequencyDBDataSet" msdata:IsDataSet="true" msdata:UseCurrentLocale="true" msprop:EnableTableAdapterManager="True" msprop:Generator_DataSetName="frequencyDBDataSet" msprop:Generator_UserDSName="frequencyDBDataSet">
    <xs:complexType>
      <xs:choice minOccurs="0" maxOccurs="unbounded">
        <xs:element name="Frequencies" msprop:Generator_TableClassName="FrequenciesDataTable" msprop:Generator_TableVarName="tableFrequencies" msprop:Generator_TablePropName="Frequencies" msprop:Generator_RowDeletingName="FrequenciesRowDeleting" msprop:Generator_UserTableName="Frequencies" msprop:Generator_RowChangingName="FrequenciesRowChanging" msprop:Generator_RowEvHandlerName="FrequenciesRowChangeEventHandler" msprop:Generator_RowDeletedName="FrequenciesRowDeleted" msprop:Generator_RowEvArgName="FrequenciesRowChangeEvent" msprop:Generator_RowChangedName="FrequenciesRowChanged" msprop:Generator_RowClassName="FrequenciesRow">
          <xs:complexType>
            <xs:sequence>
              <xs:element name="TuneFrequency" msprop:Generator_ColumnVarNameInTable="columnTuneFrequency" msprop:Generator_ColumnPropNameInRow="TuneFrequency" msprop:Generator_ColumnPropNameInTable="TuneFrequencyColumn" msprop:Generator_UserColumnName="TuneFrequency" type="xs:decimal" />
              <xs:element name="LOFrequency" msprop:Generator_ColumnVarNameInTable="columnLOFrequency" msprop:Generator_ColumnPropNameInRow="LOFrequency" msprop:Generator_ColumnPropNameInTable="LOFrequencyColumn" msprop:Generator_UserColumnName="LOFrequency" type="xs:decimal" minOccurs="0" />
              <xs:element name="ShiftFrequency" msprop:Generator_ColumnVarNameInTable="columnShiftFrequency" msprop:Generator_ColumnPropNameInRow="ShiftFrequency" msprop:Generator_ColumnPropNameInTable="ShiftFrequencyColumn" msprop:Generator_UserColumnName="ShiftFrequency" type="xs:decimal" minOccurs="0" />
              <xs:element name="Description" msprop:Generator_ColumnVarNameInTable="columnDescription" msprop:Generator_ColumnPropNameInRow="Description" msprop:Generator_ColumnPropNameInTable="DescriptionColumn" msprop:Generator_UserColumnName="Description" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="255" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="Mode" msprop:Generator_ColumnVarNameInTable="columnMode" msprop:Generator_ColumnPropNameInRow="Mode" msprop:Generator_ColumnPropNameInTable="ModeColumn" msprop:Generator_UserColumnName="Mode" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="25" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="FilterBandwidth" msprop:Generator_ColumnVarNameInTable="columnFilterBandwidth" msprop:Generator_ColumnPropNameInRow="FilterBandwidth" msprop:Generator_ColumnPropNameInTable="FilterBandwidthColumn" msprop:Generator_UserColumnName="FilterBandwidth" type="xs:decimal" minOccurs="0" />
            </xs:sequence>
          </xs:complexType>
        </xs:element>
      </xs:choice>
    </xs:complexType>
    <xs:unique name="Constraint1" msdata:PrimaryKey="true">
      <xs:selector xpath=".//mstns:Frequencies" />
      <xs:field xpath="mstns:TuneFrequency" />
    </xs:unique>
  </xs:element>
</xs:schema>